Subject: some debugging on X2Go Client crashes when print dialog is shown

From: Mike Gabriel <[email-masked]>
Date: Tue, 06 Jan 2015 20:53:46 +0100

Hi,

I spent a couple of hours debugging #702 today (because I want this issue fixed in Debian jessie).

X2Go Client simply exits cleanly immediately when I click the Print button of the print dialog window.

The issue occurs in this combination of events:

  o print dialog appears on incoming print job
  o it doesn't matter what print action is chosen
    (pdfview, pdfsave, print, etc.)
  o X2Go Client's main window is hidden (e.g.
    via clicking on the tray icon)

Just before I had to leave from work, I probably stumbled over the reason for this behaviour, I guess:

http://stackoverflow.com/questions/5116459/problem-with-hidden-qmainwindow-application-crashes-after-qmessagebox-is-displa

More tomorrow...
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976148

GnuPG Key ID 0x25771B13
mail: [email-masked], http://das-netzwerkteam.de